### Enumeration

# Atspi CollectionTreeTraversalType

#### Declaration

    enum Atspi.CollectionTreeTraversalType

#### Description [src]

Enumeration used by interface `AtspiCollection` to specify restrictions on `AtspiAccesible` objects to be traversed.

#### Members

`ATSPI_Collection_TREE_RESTRICT_CHILDREN`

  Restrict children tree traveral.

  - Value: `0`
  - Available since: 2.0
`ATSPI_Collection_TREE_RESTRICT_SIBLING`

  Restrict sibling tree traversal.

  - Value: `1`
  - Available since: 2.0
`ATSPI_Collection_TREE_INORDER`

  In-order tree traversal.

  - Value: `2`
  - Available since: 2.0
`ATSPI_Collection_TREE_LAST_DEFINED`

  Used only to determine the end of the enumeration.

  - Value: `3`
  - Available since: 2.0